The _Factorial Starter Kit_ is a [Drupal theme](https://www.drupal.org/project/fsk_frontend), which aims to provide base styling for Drupal core and form elements.

Besides the [twig](https://twig.symfony.com/) template file, every component will later also be provided as a [web component](https://developer.mozilla.org/en-US/docs/Web/Web_Components). You can therefore use all the components also in other contexts, e.g. in reactive frameworks like [Vue](https://vuejs.org/).
For that reason, the _Factorial Starter Kit_ is also published as a [node module on npm](https://www.npmjs.com/package/@factorial/fsk).

The designs for all components are built with [Figma](https://www.figma.com/file/4PWsKu4R3MeIY2ALWdU25H/FAC-Frontend-Starter-Kit?node-id=0%3A1). This Figma file also provides Design Tokens, which are automatically imported into this project as [CSS custom properties](https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_custom_properties).

Every element can easily be adapted to the look and feel of a given project by overwriting global as well as component-specific CSS custom properties.
