module.exports = {
  use: [
    [
      require("@factorial/stack-css"),
      {
        plugins: {
          cssnano: {
            preset: ["default", { mergeLonghand: false }],
          },
        },
      },
    ],
    [
      require("@factorial/stack-html"),
      { files: "build/miyagi/component-*-variation!(*-embedded|all).html" },
    ],
    [require("@factorial/stack-twig"), { folder: "templates" }],
  ],
  rootFolder: "/",
  cssFiles: ["css/index.css"],
  distFolder: "build/assets",
};
