# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.5.4](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/compare/0.5.3...0.5.4) (2021-08-26)

### [0.5.3](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/compare/0.5.2...0.5.3) (2021-08-19)


### Bug Fixes

* Omit value for the required attribute ([6ee18f2](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/6ee18f2a9dcef7495c1f32bb9d434e3d39de1edb))

### [0.5.2](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/compare/0.5.1...0.5.2) (2021-08-18)


### Bug Fixes

* Fixes missing disabled attribute for input--submit ([21f324f](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/21f324f7cb0f3da15bb4567d6b74ae8bbe54c27f))

### [0.5.1](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/compare/0.5.0...0.5.1) (2021-08-18)


### Bug Fixes

* Fixed HTML linting errors ([61f6e06](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/61f6e06edab11652258cbf265c9941ab7a1bfd15))

## [0.5.0](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/compare/0.4.5...0.5.0) (2021-08-06)


### ⚠ BREAKING CHANGES

* start IDs in schema files with "/fsk"

* start IDs in schema files with "/fsk" ([13d8a59](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/13d8a59c6ce938b8f09d219762737fe1bd8751e9))

### [0.4.5](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/compare/0.4.4...0.4.5) (2021-08-04)


### Features

* add type submit to submit button mock ([abacb43](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/abacb43671edb360d0e2428c57829552381a720b))
* Added background color and border-radius to inputs ([779fc38](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/779fc38ae8fa27903ccbcb7a58669cd3249086dd))
* added input--number component ([809d16b](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/809d16b9b59f0319d205d2c0a00e88fb06abebcd))
* always render FskFormElement-errorMessage (with role=alert), so it can be used for client side validation ([76d9174](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/76d9174b1bf10ed33bb991264a2a88cd269bb3b8))
* More customization options via custom props for textfield inputs ([2638eb1](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/2638eb11ff0d5bb932144a7ff3c9a6f63ef7c827))
* Styling for radio and checkbox groups (row and column) ([16fade9](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/16fade9e1c559ddff9a8a5f1e80790e2d58041c4))


### Bug Fixes

* add mock variants for fieldset to make overwrites easier ([7938399](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/7938399722728d50b4d05aacb69426b6c2554f1c))
* always render error container and attributes classes for fieldset and form-element ([2e997f2](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/2e997f2a25eea87b55d4939d21bd8e449363b6a0))
* check if "attributes" is set in tpls before rendering it ([36d28a9](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/36d28a932b9b1a2a6203e7ffbef3aa9607e923eb))
* Use input styling for select as base styling, only enhance it with background image to avoid style clashes ([15f304a](https://source.factorial.io:2222/factorial/fsk/fsk_frontend/commit/15f304a539cef0d77ae8bb91a33edd71196203e2))

### [0.4.4](http://source.factorial.io:2222///compare/0.4.3...0.4.4) (2021-07-02)


### Bug Fixes

* make sure custom prop overwrites overwrite checkboxes and radio buttons correctly ([dfe74af](http://source.factorial.io:2222///commit/dfe74af816235cf91c8bdd6f209fd61260b16cbc))

### [0.4.3](http://source.factorial.io:2222///compare/0.4.2...0.4.3) (2021-07-02)


### Bug Fixes

* wrong fallback for radio buttons ([6eb8200](http://source.factorial.io:2222///commit/6eb8200e0ae246fe45ab9169f614b56976c0daba))

### [0.4.2](http://source.factorial.io:2222///compare/0.4.1...0.4.2) (2021-07-02)


### Bug Fixes

* make sure buttons and option components have fallback in Chrome ([ec25295](http://source.factorial.io:2222///commit/ec25295665bf32dfb26d7b6abd8265a0d0fb66bc))

### [0.4.1](http://source.factorial.io:2222///compare/0.4.0...0.4.1) (2021-07-01)


### Bug Fixes

* required is not property of attributed in form-element-label, but separate property ([8512e02](http://source.factorial.io:2222///commit/8512e02a417d983335b1450750f8f89bfba192ef))

## [0.4.0](http://source.factorial.io:2222///compare/0.3.0...0.4.0) (2021-07-01)


### ⚠ BREAKING CHANGES

* use attributes.required instead of "required" in attributes.class to render *, removed span in label

### Features

* render attributes.class in input components ([117c20c](http://source.factorial.io:2222///commit/117c20c86dfadc6c1b5f0526bc6cb9a7431ba268))


* Updated form-element-label component ([52b9cf3](http://source.factorial.io:2222///commit/52b9cf3433b6c7f5d8a48c23a3b2b2aad4a5d9d2))

## [0.3.0](http://source.factorial.io:2222///compare/0.2.1...0.3.0) (2021-06-30)


### ⚠ BREAKING CHANGES

* checkbox and radio button fully customizable

### Features

* checkbox and radio button fully customizable ([f47b2c9](http://source.factorial.io:2222///commit/f47b2c9d0e6973c2d0217e6f218b62a6bed94680))

### [0.2.1](http://source.factorial.io:2222///compare/0.2.0...0.2.1) (2021-06-28)


### Features

* Made FormElementLabel better customizable and added * if the element is required ([a0def6c](http://source.factorial.io:2222///commit/a0def6ce2112fcd35e346f4fb9cc83f200d1725f))


### Bug Fixes

* **form/button:** print attributes.class ([e268422](http://source.factorial.io:2222///commit/e268422f2a91ed927901ae0404cb170ffee117e9))
* **form/form-element/input/input--submit:** pass all relevant data to form/button include ([18eed88](http://source.factorial.io:2222///commit/18eed88e9ab29c942b703d8a00b97e6b140c269f))
